OpenTTD Source: Data Fields

OpenTTD Source 12.2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - d -

- dark_water : ExtraPaletteValues
- dark_water_toyland : ExtraPaletteValues
- data : AllowedSubtags , Blitter_32bppOptimized::SpriteData , Blitter_8bppOptimized::SpriteData , CBinaryHeapT< T > , Colour , FixedSizeArray< T, C > , GRFError , LoggedChange , LRUCache< Tkey, Tdata > , MidiFile::DataBlock , NetworkHTTPContentConnecter , NetworkHTTPSocketHandler , NewsItem , NWidgetPartDataTip , OutputBuffer , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , SmallArray< T, B, N > , SmallMatrix< T > , Sprite , SpriteLoader::Sprite , StringParameters , StringReader , TileMatrix< T, N >
- data_tip : NWidgetPart
- date : NewsItem , ScriptInfo , SetDateWindow , StoryPage
- date_format_in_default_names : GUISettings
- date_of_last_service : Vehicle
- date_width : MessageHistoryWindow
- day : YearMonthDay
- day_counter : Vehicle
- days_in_transit : CargoPacket
- DaysInTransit() : CargoList< Tinst, Tcont > , CargoPacket
- dc : Win32FontCache
- dd_client_id : NetworkClientListWindow
- dd_company_id : NetworkClientListWindow
- debugbox_dimension : NWidgetLeaf
- decimal_places : Units
- DecIndustryTypeCount() : Industry
- decode_params : DropDownListParamStringItem , ErrorMessageData
- DecreaseOps() : Squirrel
- DecTypeCount() : Object
- dedicated : NetworkServerGameInfo
- dedicated_host : AfterNewGRFScan
- dedicated_port : AfterNewGRFScan
- def : IntSettingDesc , ListSettingDesc , StringSettingDesc
- def_value : GRFParameterInfo
- default_colour : SmallMapColourScheme
- default_company_pass : NetworkSettings
- default_compression : SaveLoadFormat
- default_height_trad : WindowDesc
- default_name : SignList
- default_pos : WindowDesc
- default_rail_type : GUISettings
- default_scope : ResolverObject
- default_signal_type : GUISettings
- default_width_trad : WindowDesc
- DEFAULT_WINDOW_HEIGHT : VideoDriver
- DEFAULT_WINDOW_WIDTH : VideoDriver
- defaultcargo_grf : GRFTempEngineData
- DefaultSize() : LanguagePackGlyphSearcher , MissingGlyphSearcher , TextfileWindow
- defsizebox_dimension : NWidgetLeaf
- DefSQAdvancedMethod() : DefSQClass< CL, ST >
- DefSQAdvancedStaticMethod() : DefSQClass< CL, ST >
- DefSQMethod() : DefSQClass< CL, ST >
- DefSQStaticMethod() : DefSQClass< CL, ST >
- delay : IntroGameViewportCommand , MpsMachine::Channel , ScriptStorage
- delegate : VideoDriver_Cocoa
- Delete() : BinaryHeap , Hash
- delete_ctr : BaseStation
- DeleteAll() : Textbuf
- DeleteChar() : Textbuf
- DeleteClosedWindows() : Window
- DeleteFlows() : FlowStatMap
- DeleteOrderAt() : OrderList
- DeleteText() : Textbuf
- DeleteUnreachedImplicitOrders() : Vehicle
- DeleteValue() : Hash
- delivered_cargo : CompanyEconomyEntry
- DeliverSupply() : LinkGraphJob::Node
- delta : CursorVars
- delta_x : DrawTileSeqStruct
- delta_z : AirportFTAClass , DrawTileSeqStruct
- demand : LinkGraph::BaseNode
- Demand() : LinkGraph::NodeWrapper< Tnode, Tedge > , LinkGraphJob::Edge
- demand : LinkGraphJob::EdgeAnnotation
- demand_distance : LinkGraphSettings
- demand_per_node : SymmetricScaler
- demand_size : LinkGraphSettings
- DemandCalculator() : DemandCalculator
- deparr_abbr_width : TimetableWindow
- deparr_time_width : TimetableWindow
- departure : TimetableArrivalDeparture
- dependencies : ContentInfo
- depot : RailtypeInfo , RoadTypeInfo
- depot_table : AirportSpec
- DepotClick() : DepotWindow
- depth : NetworkHTTPContentConnecter
- desc : GRFParameterInfo
- descender : FontCache
- descending_sort_order : BuildVehicleWindow , ReplaceVehicleWindow
- description : BaseSet< T, Tnum_files, Tsearch_in_tars > , BlitterFactory , ContentInfo , DriverFactoryBase , PluralForm , ScriptConfigItem , ScriptInfo
- desert_coverage : GameCreationSettings
- dest : NetworkChatWindow , Order
- dest_coords : NPFFindStationOrTileData
- dest_scrollpos_x : ViewportData
- dest_scrollpos_y : ViewportData
- dest_tile : Vehicle
- destination : CargoMovement< Tsource, Tdest >
- Destroy() : OpenGLBackend , OpenGLSprite , PacketWriter , SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size >
- Detach() : CCountedPtr< Tcls_ > , CHashTableSlotT< Titem_ > , Path
- detail_ftype : FileToSaveLoad
- detailed_msg : ErrorMessageData
- details_height : BuildVehicleWindow , ReplaceVehicleWindow
- DetermineBestSet() : BaseMedia< Tbase_set >
- DetermineCapacity() : Engine
- developer : GUISettings
- diagonal : TileHighlightData
- DiagonalTileArea() : DiagonalTileArea
- DiagonalTileIterator() : DiagonalTileIterator
- dib_sect : VideoDriver_Win32GDI
- Died() : AIInstance , GameInstance , ScriptInstance
- difficulty : GameSettings
- digit_decimal_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator : LanguagePackHeader , LocaleSettings
- digit_group_separator_currency : LanguagePackHeader , LocaleSettings
- Dijkstra() : MultiCommodityFlow
- dir : HangarTileTable , RoadStopEntryRebuilderHelper , ScriptFileChecksumCreator
- direction : AirportMovingData , Vehicle
- dirty : CursorVars , LinkGraphOverlay , TileHighlightData
- dirty_rect : VideoDriver_Cocoa , VideoDriver_SDL_Base , VideoDriver_Win32Base
- dirty_tiles : TerraformerState
- DirtyHighlightedGroupWidget() : VehicleGroupWindow
- disable_elrails : VehicleSettings
- disable_node_optimization : YAPFSettings
- DisableAllWidgetHighlight() : Window
- disabled : ButtonCommon
- DisableWidget() : Window
- disallowed_lengths : StationSpec
- disallowed_platforms : StationSpec
- disaster : SoundSettings
- disasters : DifficultySettings
- DisasterVehicle() : DisasterVehicle
- DiscardMarkedText() : Textbuf
- disp_flags : NWidgetCore
- display : CargoSuffix
- display_time : AnimCursor
- display_timer : ErrorMessageData
- DisplayCrashDialog() : CrashLogOSX
- displayed_actions_on_previous_painting : TownAuthorityWindow
- displayed_playlist : MusicSystem
- displayed_rows : StationViewWindow
- DisplayPane : OrdersWindow
- dist_local_authority : EconomySettings
- distance : Path
- DistanceAnnotation() : DistanceAnnotation
- distant_join_stations : StationSettings
- distribution_armoured : LinkGraphSettings
- distribution_default : LinkGraphSettings
- distribution_mail : LinkGraphSettings
- distribution_pax : LinkGraphSettings
- do_reserve : FinalizeRefitAction
- docking_station : Station
- DoCommandCallback() : ScriptInstance
- DoCommandReturn() : ScriptInstance
- DoCommandReturnGoalID() : ScriptInstance
- DoCommandReturnGroupID() : ScriptInstance
- DoCommandReturnSignID() : ScriptInstance
- DoCommandReturnStoryPageElementID() : ScriptInstance
- DoCommandReturnStoryPageID() : ScriptInstance
- DoCommandReturnVehicleID() : ScriptInstance
- dodraw : TileLayoutRegisters
- DOES_NOT_EXIST : ContentInfo
- DoRestore() : OrderBackup
- DoScan() : GRFFileScanner , TarScanner
- DoUpdateSpeed() : GroundVehicle< T, Type >
- DownloadContentInfo() : ClientNetworkContentSocketHandler
- downloaded_bytes : BaseNetworkContentDownloadStatusWindow
- downloaded_files : BaseNetworkContentDownloadStatusWindow
- DownloadSelectedContent() : ClientNetworkContentSocketHandler
- DownloadSelectedContentFallback() : ClientNetworkContentSocketHandler
- DownloadSelectedContentHTTP() : ClientNetworkContentSocketHandler
- DP_BOTTOM_MIDDLE_DELETE : OrdersWindow
- DP_BOTTOM_MIDDLE_STOP_SHARING : OrdersWindow
- DP_GROUNDVEHICLE_ROW_CONDITIONAL : OrdersWindow
- DP_GROUNDVEHICLE_ROW_NORMAL : OrdersWindow
- DP_LEFT_LOAD : OrdersWindow
- DP_LEFT_REFIT : OrdersWindow
- DP_MIDDLE_SERVICE : OrdersWindow
- DP_MIDDLE_UNLOAD : OrdersWindow
- DP_RIGHT_EMPTY : OrdersWindow
- DP_RIGHT_REFIT : OrdersWindow
- DP_ROW_CONDITIONAL : OrdersWindow
- DP_ROW_DEPOT : OrdersWindow
- DP_ROW_LOAD : OrdersWindow
- dparam : TileDesc
- drag_signals_density : GUISettings
- drag_signals_fixed_distance : GUISettings
- DrainCommandQueue() : VideoDriver
- Draw() : BaseSettingEntry , Blitter , Blitter_32bppAnim , Blitter_32bppOptimized , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter_Null , CargoesField , LinkGraphOverlay , NWidgetBackground , NWidgetBase , NWidgetLeaf , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetPIPContainer , NWidgetScrollbar , NWidgetServerListHeader , NWidgetSmallmapDisplay , NWidgetSpacer , NWidgetStacked , NWidgetToolbarContainer , NWidgetViewport , SettingsContainer , SettingsPage , VehicleSpriteSeq
- draw_size : CursorVars
- draw_tile_proc : TileTypeProcs
- DrawAcceptedCargo() : StationViewWindow
- DrawActionElement() : StoryBookWindow
- DrawButtons() : NetworkClientListWindow
- DrawCargoRatings() : StationViewWindow
- DrawColourMappingRect() : Blitter , Blitter_32bppAnim , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawCompany() : NetworkClientListWindow
- DrawContent() : LinkGraphOverlay
- DrawCountLine() : CompanyInfrastructureWindow
- DrawDetails() : NetworkContentListWindow
- DrawElementTimesColumn() : FramerateWindow
- DrawEntries() : StationViewWindow
- DrawFaceStringLabel() : SelectCompanyManagerFaceWindow
- DrawGraph() : BaseGraphWindow
- DrawGroupInfo() : VehicleGroupWindow
- DrawHorConnection() : CargoesField
- DrawHorizMapIndicator() : SmallMapWindow
- DrawInfo() : IndustryViewWindow
- DrawLine() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawLinks() : LinkGraphOverlay
- DrawListColumn() : GoalListWindow
- DrawMapIndicators() : SmallMapWindow
- DrawMatrix() : NetworkContentListWindow
- DrawMouseCursor() : OpenGLBackend
- DrawRatings() : TownAuthorityWindow
- DrawRect() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawServerLine() : NetworkGameWindow
- DrawSetting() : SettingEntry , SettingsPage
- DrawSignalSprite() : BuildSignalWindow
- DrawSmallMap() : SmallMapWindow
- DrawSmallMapColumn() : SmallMapWindow
- DrawSortButtonState() : Window
- DrawStationDots() : LinkGraphOverlay
- drawstyle : TileHighlightData
- DrawTowns() : SmallMapWindow
- DrawVehicleDetails() : VehicleDetailsWindow
- DrawVehicleInDepot() : DepotWindow
- DrawVehicleListItems() : BaseVehicleListWindow
- DrawVehicles() : SmallMapWindow
- DrawVertex() : LinkGraphOverlay
- DrawVertMapIndicator() : SmallMapWindow
- DrawViewport() : Window
- DrawWidget() : AboutWindow , AIConfigWindow , AIDebugWindow , AIListWindow , AISettingsWindow , BaseGraphWindow , BaseNetworkContentDownloadStatusWindow , BootstrapAskForDownloadWindow , BootstrapBackground , BootstrapErrorWindow , BuildAirportWindow , BuildBridgeWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailDepotWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadDepotWindow , BuildRoadStationWindow , BuildSignalWindow , BuildTreesWindow , BuildVehicleWindow , BuyCompanyWindow , CheatWindow , CompanyFinancesWindow , CompanyInfrastructureWindow , CompanyLeagueWindow , CompanyStationsWindow , CompanyWindow , DepotWindow , DropdownWindow , EnginePreviewWindow , ErrmsgWindow , FramerateWindow , FrametimeGraphWindow , GameOptionsWindow , GameSettingsWindow , GenerateLandscapeWindow , GenerateProgressWindow , GoalQuestionWindow , GraphLegendWindow , IndustryCargoesWindow , IndustryDirectoryWindow , LandInfoWindow , LinkGraphLegendWindow , MessageHistoryWindow , MusicTrackSelectionWindow , MusicWindow , NetworkAskRelayWindow , NetworkClientListWindow , NetworkCompanyPasswordWindow , NetworkContentListWindow , NetworkGameWindow , NetworkJoinStatusWindow , NetworkStartServerWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , OskWindow , PaymentRatesGraphWindow , PerformanceRatingDetailWindow , QueryStringWindow , QueryWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , SavePresetWindow , ScanProgressWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , SelectCompanyLiveryWindow , SelectCompanyManagerFaceWindow , SelectGameWindow , SelectStationWindow< T > , SignListWindow , SmallMapWindow , SpriteAlignerWindow , StatusBarWindow , StoryBookWindow , SubsidyListWindow , TextfileWindow , TimetableWindow , TooltipsWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , TransparenciesWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , Window
- DrawWidgets() : Window
- DriverFactoryBase() : DriverFactoryBase
- Drivers : DriverFactoryBase
- dropdown_dimension : NWidgetLeaf
- DropdownWindow() : DropdownWindow
- dst : Blitter::BlitterParams , Goal , Subsidy
- dst_industry : GenericScopeResolver
- dst_type : Subsidy
- DT_BEGIN : Driver
- DT_END : Driver
- DT_MUSIC : Driver
- DT_SOUND : Driver
- DT_VIDEO : Driver
- dtype : NetworkChatWindow
- dummy : AirportSpec
- dummy_parameter_info : NewGRFParametersWindow
- dummy_tex : OpenGLSprite
- DummyConstructor() : AIInfo
- Dump() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , SmallArray< T, B, N >
- dumper : SaveLoadParams
- duplicate : TrueTypeFontCache::GlyphEntry
- duplicate_sets : BaseMedia< Tbase_set >
- duration : NewsWindow , TextEffect
- duration_phase_1 : Engine
- duration_phase_2 : Engine
- duration_phase_3 : Engine
- durations : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- dynamic_engines : VehicleSettings